<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
      Schema::dropIfExists('administrators CASCADE');
      Schema::create('administrators', function (Blueprint $table) {
        $table->uuid('id')->primary();
        $table->foreign('id')
              ->references('id')->on('users')
              ->onDelete('cascade')
              ->onUpdate('cascade');
      });
      // Schema::create('advertisements', function (Blueprint $table) {
      //   $table->foreign('id_administrador')
      //           ->references('id')
      //           ->on('administrators')
      //           ->onDelete('set null')
      //           ->onUpdate('cascade');
      // });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
      Schema::dropIfExists('administrators');
    }
};
